#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.4.1"
SHA1SUM="73b4df75b2b41d366074ec1dfc891744cbf2ea13"

# This was VERSION="1.4"
# SHA1SUM="5fbd4ba9100d5c50afd607e3f85a300b90e603ef"
URL="http://www.iam.unibe.ch/~morgenth/adam"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="marwis"
##################################################

download_bz2 adam &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/adam-${VERSION}.tar.bz2 &&
cd adam-${VERSION} &&
find . -name .svn -exec rm -rf {} \; 2>/dev/null

patch_src adam &&

#rm -r ${INSTALLDIR}/var/www/
mkdir -p ${INSTALLDIR}/var/www/
cp -R * ${INSTALLDIR}/var/www/
chmod -R 775 ${INSTALLDIR}/var/www/htdocs
chmod -R 775 ${INSTALLDIR}/var/www/nodetypeconfigs
chown -R 23:23 ${INSTALLDIR}/var/www/htdocs
chown -R 23:23 ${INSTALLDIR}/var/www/nodetypeconfigs

cd ${BUILDDIR} &&
rm -rf adam-${VERSION}
