#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.1"
SHA1SUM="16eed1a8cf06eb8274ae382150b56589b23adf77"
URL="http://download.aircrack-ng.org/"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS=""
##################################################

download_gz aircrack-ng &&

cd ${BUILDDIR} &&
tar -zxf ${SRCDIR}/aircrack-ng-${VERSION}.tar.gz &&
cd aircrack-ng-${VERSION} &&
find . -name .svn -exec rm -rf {} \; 2>/dev/null

make

install -m 755 src/airbase-ng ${INSTALLDIR}/sbin &&
install -m 755 src/aircrack-ng ${INSTALLDIR}/sbin &&
install -m 755 src/airdecap-ng ${INSTALLDIR}/sbin &&
install -m 755 src/airdecloak-ng ${INSTALLDIR}/sbin &&
install -m 755 src/aireplay-ng ${INSTALLDIR}/sbin &&
install -m 755 src/airodump-ng ${INSTALLDIR}/sbin &&
install -m 755 src/airserv-ng ${INSTALLDIR}/sbin &&
install -m 755 src/airtun-ng ${INSTALLDIR}/sbin &&

cd ${BUILDDIR} &&
rm -rf aircrack-ng-${VERSION}
