#!/bin/bash


##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="2.3.20"
SHA1SUM="40aa6c6c5fb27a8a45cd7aaa302a835ff374d13a"
URL="http://ftp.gnome.org/pub/gnome/sources/libart_lgpl/2.3/"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_bz2 libart_lgpl &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/libart_lgpl-${VERSION}.tar.bz2 &&
cd libart_lgpl-${VERSION} &&

patch_src libart_lgpl &&

sed -e 's/-O2/-Os/g' -i configure &&

CC="${CC} -Os -fPIC" ./configure --host=${BOARDTARGET} --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib &&
make &&
make DESTDIR=${INSTALLDIR} install &&

cd ${BUILDDIR} &&
rm -rf libart_lgpl-${VERSION}
