#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://subversion.cnds.unibe.ch/svn/adam/trunk/image-builder        #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

##################################################
. ${BUILDDIR}/buildscripts/functions

#VERSION=""
#SHA1SUM=""
#URL=""
#FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

#download_bz2 <package> &&

#cd ${BUILDDIR} &&
#tar -xjvf ${SRCDIR}/<package>-${VERSION}.tar.bz2 &&
#cd <package>-${VERSION} &&

#patch_src <package> &&

echo "int main(){return 0;}" > ${BUILDDIR}/cxx-dummy.cxx &&
${CXX} -Os -fPIC -Wall -c ${BUILDDIR}/cxx-dummy.cxx -o ${BUILDDIR}/cxx-dummy.o &&
${CXX} -Os -fPIC -Wall -o ${BUILDDIR}/cxx-dummy ${BUILDDIR}/cxx-dummy.o &&
install -m 755 ${BUILDDIR}/cxx-dummy ${INSTALLDIR}/usr/bin &&

# This is the essential part for C++, do this for every C++ package
# Then we can be sure it is installed when needed.
target_install_cxx_libs &&

rm ${BUILDDIR}/cxx-dummy*
#cd ${BUILDDIR} &&
#rm -rf <package>-${VERSION}

