#!/bin/bash


##################################################
. ${BUILDDIR}/buildscripts/functions

#VERSION="2.0.35"
#SHA1SUM="ccf34a610abff2dbf133a20c4d2a4aa94939018a"
VERSION="2.0.36RC1"
SHA1SUM="415300e288348ed0d806fa2f3b7815604d8b5eec"
URL="http://www.libgd.org/releases"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_bz2 gd &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/gd-${VERSION}.tar.bz2 &&
cd gd-${VERSION} &&

patch_src gd &&

sed -e 's/-O2/-Os/g' -i configure &&

PKG_CONFIG_PATH="${INSTALLDIR}/usr/lib/pkgconfig" CC="${CC} -Os -fPIC" ./configure --host=${BOARDTARGET} --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --without-x --with-png=${INSTALLDIR}/lib --with-freetype=${INSTALLDIR}/lib --with-fontconfig=${INSTALLDIR}/lib --with-jpeg=${INSTALLDIR}/lib --without-xpm --with-libiconv-prefix=${INSTALLDIR}/lib --with-zlib=${INSTALLDIR}/lib &&
make &&
make DESTDIR=${INSTALLDIR} install &&
libtool --finish ${INSTALLDIR}/lib &&

#cp -av ${INSTALLDIR}/lib/pkgconfig ${INSTALLDIR}/usr/lib &&
#rm -rf ${INSTALLDIR}/lib/pkgconfig &&

cd ${BUILDDIR} &&
rm -rf gd-${VERSION}
