#!/bin/bash


##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="0.22.0"
SHA1SUM="7dbbc0857a2537b033441f499e7f4b9a487a3db6"
URL="ftp://ftp.gnome.org/pub/GNOME/sources/gdk-pixbuf/0.22"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_gz gdk-pixbuf &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/gdk-pixbuf-${VERSION}.tar.gz &&
cd gdk-pixbuf-${VERSION} &&

patch_src gdk-pixbuf &&

sed -e 's/-O2/-Os/g' -i configure &&

PKG_CONFIG_PATH="${INSTALLDIR}/usr/lib/pkgconfig" CC="${CC} -Os -fPIC" ./configure --host=`echo ${BOARDTARGET} | sed 's/-uclibc//g'` --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --includedir=/usr --disable-glibtest --disable-gtktest --disable-gtk-doc --disable-mmx --without-x --disable-modules &&


make &&
make DESTDIR=${INSTALLDIR} install &&

cd ${BUILDDIR} &&
rm -rf gdk-pixbuf-${VERSION}
