#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://subversion.cnds.unibe.ch/svn/adam/trunk/image-builder        #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

# Meta package to recompile the wrap kernel in exaxt the same way as already done with linux.sh  
# but use the newly generated ${BUILDDIR}/initramfs.cpio instead of an empty one. 

##################################################
VERSION=`grep ^VERSION= ${BUILDDIR}/buildscripts/packages/linux.sh | sed -e 's|VERSION="||' -e 's|"||'`
##################################################

cd ${BUILDDIR}/linux-${VERSION}-${BOARDNAME} &&
rm .version &&
make ARCH=${BOARDARCH} CROSS_COMPILE=${CROSS_TARGET}- bzImage

