#!/bin/bash

usage()
{
    echo "Replaces the fallback URL"
	echo "Usage $0 <imagebuilder dir> <new fallback url>"
    exit 0
}

if [ ! -d ${1} ] ; then
	echo "${1} is not a valid directory"
	usage
	exit 0
fi

if [ ${#} -ne 2 ] ; then
    usage
fi

echo "Set new fallback url: $2"
find ${1}/buildscripts/packages ${1}/buildscripts/toolchain -iname "*.sh" -exec sed -e 's|'`echo FALLBACK`'=".*"|'`echo FALLBACK`'="'`echo ${2}`'"|g' -i {} \;
